import { IPublicModelNode, IPublicModelPluginContext, IPublicTypeContextMenuAction, IPublicTypeContextMenuItem } from '@gant-lowcode/lowcode-types';
import React from 'react';
import './context-menu.css';
export * from './react-contexify';
interface IOptions {
    nodes?: IPublicModelNode[] | null;
    destroy?: Function;
    pluginContext: IPublicModelPluginContext;
}
export declare const CONTEXT_MENU_ID = "engine-context-menu";
export declare function parseContextMenuAsReactNode(menus: IPublicTypeContextMenuItem[], options: IOptions): React.ReactNode[];
export declare function parseContextMenuProperties(menus: (IPublicTypeContextMenuAction | Omit<IPublicTypeContextMenuAction, 'items'>)[], options: IOptions & {
    event?: MouseEvent;
}, level?: number): IPublicTypeContextMenuItem[];
export declare function createContextMenu(children: React.ReactNode[], { event, offset, }: {
    event: MouseEvent | React.MouseEvent;
    offset?: [number, number];
}): () => void;
