export type Level = 'debug' | 'log' | 'info' | 'warn' | 'error';
interface Options {
    level: Level;
    bizName: string;
}
declare class Logger {
    bizName: string;
    targetBizName: string;
    targetLevel: string;
    constructor(options: Options);
    debug(...args: any[]): void;
    log(...args: any[]): void;
    info(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
}
export { Logger };
export declare function getLogger(config: {
    level: Level;
    bizName: string;
}): Logger;
