import { IPublicModelNode } from '@gant-lowcode/lowcode-types';
import { MouseEvent } from 'react';
export declare const getClosestNode: <Node_1 extends IPublicModelNode = IPublicModelNode>(node: Node_1, until: (n: Node_1) => boolean) => Node_1;
/**
 * 判断节点是否可被点击
 * @param {Node} node 节点
 * @param {unknown} e 点击事件
 * @returns {boolean} 是否可点击，true表示可点击
 */
export declare function canClickNode<Node extends IPublicModelNode = IPublicModelNode>(node: Node, e: MouseEvent): boolean;
