import { ReactNode } from 'react';
export declare const SizePresets: any;
export interface IconProps {
    className?: string;
    fill?: string;
    size?: 'xsmall' | 'small' | 'medium' | 'large' | 'xlarge' | number;
    children?: ReactNode;
    style?: Record<string, unknown>;
}
export declare function SVGIcon({ fill, size, viewBox, style, children, ...props }: IconProps & {
    viewBox: string;
}): JSX.Element;
