"use strict";

exports.__esModule = true;
require("./index.css");
var _Menu = require("./components/Menu");
Object.keys(_Menu).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _Menu[key]) return;
  exports[key] = _Menu[key];
});
var _Item = require("./components/Item");
Object.keys(_Item).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _Item[key]) return;
  exports[key] = _Item[key];
});
var _Separator = require("./components/Separator");
Object.keys(_Separator).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _Separator[key]) return;
  exports[key] = _Separator[key];
});
var _Submenu = require("./components/Submenu");
Object.keys(_Submenu).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _Submenu[key]) return;
  exports[key] = _Submenu[key];
});
var _RightSlot = require("./components/RightSlot");
Object.keys(_RightSlot).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _RightSlot[key]) return;
  exports[key] = _RightSlot[key];
});
var _contextMenu = require("./core/contextMenu");
Object.keys(_contextMenu).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _contextMenu[key]) return;
  exports[key] = _contextMenu[key];
});
var _useContextMenu = require("./hooks/useContextMenu");
Object.keys(_useContextMenu).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _useContextMenu[key]) return;
  exports[key] = _useContextMenu[key];
});
var _types = require("./types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _types[key]) return;
  exports[key] = _types[key];
});